!++
!     Define symbols according to macro values
!==

.IFDEF DEBUG
DBG = /DEBUG
DBGOPT = /NOOPTIMIZE/DEBUG
.ELSE
DBG = /NODEBUG
DBGOPT = /OPTIMIZE/NODEBUG
.ENDIF

.IFDEF LIST
LST = /LIST
.ELSE
LST = /NOLIST
.ENDIF

.IFDEF DIAG
DIA = /DIAGNOSTICS
.ELSE
DIA = /NODIAGNOSTICS
.ENDIF

.IFDEF PCA
PCAOPT = /DEBUG
.ENDIF

!++
!      List of tools used and required symbols
!
!      !C used
!      !Executables used
!==


!++
!     Missing sources catch-all
!==

.DEFAULT
   ! No source found for $(MMS$TARGET)
   ! - Attempting to continue



!++
!   Complete application - default build item
!==

COMPLETE_APPLICATION depends_on -
     CATCH_OPCOM.EXE
        CONTINUE


!++
!   C
!==

MMS$OLB.OLB(CATCH_OPCOM=CATCH_OPCOM.OBJ) depends_on -
      CATCH_OPCOM.C -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(CTYPE=CTYPE.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(DESCRIP=DESCRIP.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STDIO=STDIO.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STDLIB=STDLIB.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STRING=STRING.H) -
-!   ,EFNDEF.H -
-!   ,ILEDEF.H -
-!   ,IOSBDEF.H -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(DCDEF=DCDEF.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(DVIDEF=DVIDEF.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(IODEF=IODEF.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(LIB$ROUTINES=LIB$ROUTINES.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(OPCDEF=OPCDEF.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(SMG$ROUTINES=SMG$ROUTINES.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(SMGDEF=SMGDEF.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(SSDEF=SSDEF.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(STARLET=STARLET.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(STSDEF=STSDEF.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(TT2DEF=TT2DEF.H) -
     ,ALPHA$LIBRARY:SYS$STARLET_C.TLB(TTDEF=TTDEF.H) -
-!   ,VA_RANGEDEF.H -
     ,VERSION.H -
     !
       $(CC) $(CFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=CATCH_OPCOM.OBJ CATCH_OPCOM.C
       LIBRARY/REPLACE MMS$OLB.OLB CATCH_OPCOM.OBJ
       DELETE CATCH_OPCOM.OBJ;*


!++
!   Links
!==

CATCH_OPCOM.EXE depends_on -
      MMS$OLB.OLB(CATCH_OPCOM=CATCH_OPCOM.OBJ) -
-!   ,MMS$OLB.OLB(PTD$CREATE=PTD$CREATE.OBJ) -
     !
       LINK $(DBG) $(PCAOPT) /EXE=CATCH_OPCOM.EXE MMS$OLB.OLB/LIBRARY/INCLUDE=(CATCH_OPCOM) -
          ! End of Link




!++
!   Files not found.  MMS references to these files will generate errors.
!==

!     EFNDEF.H
!     ILEDEF.H
!     IOSBDEF.H
!     VA_RANGEDEF.H



!++
!   Objects not found.  The following symbols may be undefined.
!==

!     PTD$CREATE

!++
!  Create object library if it doesn't already exist
!==

.FIRST
	! MMS $(mmsqualifiers) $(mmstargets)
       IF F$SEARCH( "MMS$OLB.OLB" ) .EQS. "" -
		THEN $(LIBR)/CREATE MMS$OLB.OLB

!++
!  End of build cleanup work
!==

.LAST
       CONTINUE

